Query time series (downsampled server-side)
POST
/api/v1/metrics/query
const url = 'https://example.com/api/v1/metrics/query';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"agg":"example","from":"2026-04-15T12:00:00Z","maxPoints":1,"metric":"example","objectId":"example","objectIds":["example"],"selector":"example","stepSeconds":1,"to":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/metrics/query \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "agg": "example", "from": "2026-04-15T12:00:00Z", "maxPoints": 1, "metric": "example", "objectId": "example", "objectIds": [ "example" ], "selector": "example", "stepSeconds": 1, "to": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
agg
string
from
required
string format: date-time
maxPoints
integer
metric
string
objectId
string
objectIds
Array<string>
selector
string
stepSeconds
integer
to
required
string format: date-time
Examplegenerated
{ "agg": "example", "from": "2026-04-15T12:00:00Z", "maxPoints": 1, "metric": "example", "objectId": "example", "objectIds": [ "example" ], "selector": "example", "stepSeconds": 1, "to": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”Created
Media typeapplication/json
Array<object>
object
created
required
integer
disabled
required
integer
skipped
required
integer
unchanged
required
integer
updated
required
integer
warnings
Array<string>
Examplegenerated
[ { "created": 1, "disabled": 1, "skipped": 1, "unchanged": 1, "updated": 1, "warnings": [ "example" ] }]default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}